"use client";

import dynamic from "next/dynamic";
import { useSearchParams } from "next/navigation";

export default function Page() {
  const MapWithNoSSR = dynamic(() => import("../../components/map"), {
    ssr: false,
  });

  const searchParams = useSearchParams();
  const client = searchParams.get("client");

  return (
    <div id="map" className="w-full h-full border rounded-md m-0 p-0">
      <MapWithNoSSR highlight={client} />
    </div>
  );
}
